<!-- Input group template -->
<ng-container *ngIf="_Theme == 'input'">
    <div class="input-group input-group-sm">
        <div class="input-group-prepend">
            <span class="input-group-text bg-white cursor-pointer px-3" [ngClass]="{'disabled': _MaxLimit == 0}" (click)="updateQuantity(-1)"><i class="fa fa-minus"></i></span>
        </div>
        <input type="text" class="form-control bg-white text-center" aria-label="quantity" style="border-color:#ced4da"
            [(ngModel)]="DealQuantity" disabled>
        <div class="input-group-append">
            <span class="input-group-text bg-white cursor-pointer px-3" [ngClass]="{'disabled': _MaxLimit == 0}" (click)="updateQuantity(+1)"><i class="fa fa-plus text-gray"></i></span>
        </div>
    </div>
</ng-container>
<!-- Span group template -->
<ng-container *ngIf="_Theme == 'span'">
    <div class="span-group d-flex">
        <span class="flex-span text-center cursor-pointer" (click)="updateQuantity(-1)"><i class="fa fa-minus"></i></span>
        <span aria-label="quantity" class="flex-span text-center">{{DealQuantity}}</span>
        <span class="flex-span text-center cursor-pointer" (click)="updateQuantity(+1)"><i class="fa fa-plus"></i></span>
    </div>
</ng-container>
